package com.logicbig.example;

import org.assertj.core.api.Assertions;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

@RunWith(SpringRunner.class)
@SpringBootTest(args = "--processor.name=TestProcess")
public class ArgumentTest {
    @Value("${processor.name}")
    private String processName;

    @Test
    public void testArgs(){
        System.out.println("processor.name: "+processName);
        Assertions.assertThat(processName).isEqualTo("TestProcess");
    }
}